com.google.web.bindery.requestfactory.vm

## Class InProcessRequestFactory.RequestFactoryHandler

- java.lang.Object
- - com.google.web.bindery.requestfactory.vm.InProcessRequestFactory.RequestFactoryHandler

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

Enclosing class:
  InProcessRequestFactory

    class InProcessRequestFactory.RequestFactoryHandler
    extends java.lang.Object
    implements java.lang.reflect.InvocationHandler

### Constructor Summary

Constructors
Constructor and Description
`RequestFactoryHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestFactoryHandler

    RequestFactoryHandler()

### Method Detail

#### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

Specified by:
  `invoke` in interface `java.lang.reflect.InvocationHandler`
Throws:
  `java.lang.Throwable`